// $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/track_ctrl/drot/Interface/Sharknir/Drot/PropertyName.cc 2976 2020-05-14 15:38:34Z depa $

/* https://svn.mpia.de/gulli/TwiceAsNice/branch/unstable/ln/laos-drot/src/Interface/Laos/Drot/PropertyName.cc 14102 2016-11-27 18:44:03Z mathar $
*/

#include "PropertyName.h"
#include <boost/python.hpp>

using namespace boost::python;

namespace Sharknir
{
    namespace Drot
    {
        BOOST_PYTHON_MODULE( SharknirDrotProperties )
        {
            class_<Svc::PropertyName>("SvcPropertyName",no_init)
                .def("interval",&Sharknir::Drot::Svc::PropertyName::cfgInterval)
                .staticmethod("interval")

//                .def("position",&Sharknir::Drot::Svc::PropertyName::position)
//                .staticmethod("position")
//
//                .def("deviceEncoderPosition",&Sharknir::Drot::Svc::PropertyName::deviceEncoderPosition)
//                .staticmethod("deviceEncoderPosition")
//
//                .def("absoluteEncoderPosition",&Sharknir::Drot::Svc::PropertyName::absoluteEncoderPosition)
//                .staticmethod("absoluteEncoderPosition")
//
//                .def("incrementalEncoderPosition",&Sharknir::Drot::Svc::PropertyName::incrementalEncoderPosition)
//                .staticmethod("incrementalEncoderPosition")
                ;
        }
    }
}





